Bug 623868 - Review Request: abattis-cantarell-fonts - Contemporary humanist sans-serif font
Review Request: abattis-cantarell-fonts - Contemporary humanist sans-serif font
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen John Smoogen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 21:27 EDT by Luya Tshimbalanga
Modified: 2012-10-10 11:05 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-29 04:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)
Fix to make patch spec to pass reivew (1.42 KB, patch)
2011-02-08 12:56 EST, Stephen John Smoogen
no flags Details | Diff

  None (edit)
Description Luya Tshimbalanga 2010-08-12 21:27:21 EDT
Spec URL: http://luya.fedorapeople.org/packages/SPECS/abattis-cantarell-fonts.spec
SRPM URL: http://luya.fedorapeople.org/packages/SRPMS/abattis-cantarell-fonts-1.001-1.fc13.src.rpm
Description: Cantarell is a contemporary Humanist sans serif that fully support 
the following writing systems: Basic Latin, Western European, Catalan,
Baltic, Turkish, Central European, Dutch and Afrikaans.
Comment 1 Luya Tshimbalanga 2010-08-12 21:29:15 EDT
Koji build scratch result:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2398807

$ rpmlint rpmbuild/RPMS/noarch/abattis-cantarell-fonts-1.001-1.fc13.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Paul Flo Williams 2010-08-13 11:18:49 EDT
I am not yet a packager, so this is just an unofficial pre-review, and my first one of those.

+ OK
? ISSUE
- N/A

+ Package meets naming and packaging guidelines [follows latest font template]
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
? License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
+ Sources match upstream md5sum:
  c97c000a4084bed7108f4c75eae657c0  Cantarell-2009-07-17.zip
- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
- Package has %defattr and permissions on files is good.
+ Package has a correct %clean section.
- Package has correct buildroot [no longer specified]
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
+ No rpmlint output.

[paul@palant SPECS]$ rpmlint abattis-cantarell-fonts.spec \
  ../RPMS/noarch/abattis-cantarell-fonts-1.001-1.fc13.noarch.rpm \
  ../SRPMS/abattis-cantarell-fonts-1.001-1.fc13.src.rpm 
abattis-cantarell-fonts.spec:4: W: macro-in-comment %{name}
abattis-cantarell-fonts.spec:4: W: macro-in-comment %{version}
abattis-cantarell-fonts.spec: W: no-buildroot-tag
abattis-cantarell-fonts.src:4: W: macro-in-comment %{name}
abattis-cantarell-fonts.src:4: W: macro-in-comment %{version}
abattis-cantarell-fonts.src: W: no-buildroot-tag
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

 macro-in-comment is ignorable
 no-buildroot-tag is obsolete

+ final provides and requires are sane:
  Provides:
  abattis-cantarell-fonts-1.001-1.fc13.noarch.rpm
  config(abattis-cantarell-fonts) = 1.001-1.fc13
  font(:lang=aa)  
  font(:lang=af)  
  font(:lang=an)  
  font(:lang=ast)  
  font(:lang=ay)  
  font(:lang=bi)  
  font(:lang=br)  
  font(:lang=bs)  
  font(:lang=ca)  
  font(:lang=ch)  
  font(:lang=co)  
  font(:lang=crh)  
  font(:lang=cs)  
  font(:lang=csb)  
  font(:lang=cy)  
  font(:lang=da)  
  font(:lang=de)  
  font(:lang=en)  
  font(:lang=eo)  
  font(:lang=es)  
  font(:lang=et)  
  font(:lang=eu)  
  font(:lang=fi)  
  font(:lang=fil)  
  font(:lang=fj)  
  font(:lang=fo)  
  font(:lang=fr)  
  font(:lang=fur)  
  font(:lang=fy)  
  font(:lang=ga)  
  font(:lang=gd)  
  font(:lang=gl)  
  font(:lang=gv)  
  font(:lang=ho)  
  font(:lang=hr)  
  font(:lang=hsb)  
  font(:lang=ht)  
  font(:lang=hu)  
  font(:lang=ia)  
  font(:lang=id)  
  font(:lang=ie)  
  font(:lang=io)  
  font(:lang=is)  
  font(:lang=it)  
  font(:lang=jv)  
  font(:lang=ki)  
  font(:lang=kj)  
  font(:lang=kl)  
  font(:lang=ku-tr)  
  font(:lang=kwm)  
  font(:lang=la)  
  font(:lang=lb)  
  font(:lang=lg)  
  font(:lang=li)  
  font(:lang=lt)  
  font(:lang=lv)  
  font(:lang=mg)  
  font(:lang=mh)  
  font(:lang=ms)  
  font(:lang=mt)  
  font(:lang=na)  
  font(:lang=nb)  
  font(:lang=nds)  
  font(:lang=ng)  
  font(:lang=nl)  
  font(:lang=nn)  
  font(:lang=no)  
  font(:lang=nr)  
  font(:lang=nso)  
  font(:lang=ny)  
  font(:lang=oc)  
  font(:lang=om)  
  font(:lang=pap-an)  
  font(:lang=pap-aw)  
  font(:lang=pl)  
  font(:lang=pt)  
  font(:lang=rm)  
  font(:lang=rn)  
  font(:lang=rw)  
  font(:lang=sc)  
  font(:lang=se)  
  font(:lang=sg)  
  font(:lang=sk)  
  font(:lang=sl)  
  font(:lang=sma)  
  font(:lang=smj)  
  font(:lang=smn)  
  font(:lang=sn)  
  font(:lang=so)  
  font(:lang=sq)  
  font(:lang=ss)  
  font(:lang=st)  
  font(:lang=su)  
  font(:lang=sv)  
  font(:lang=sw)  
  font(:lang=tk)  
  font(:lang=tl)  
  font(:lang=tn)  
  font(:lang=tr)  
  font(:lang=ts)  
  font(:lang=uz)  
  font(:lang=vo)  
  font(:lang=vot)  
  font(:lang=wa)  
  font(:lang=wen)  
  font(:lang=wo)  
  font(:lang=xh)  
  font(:lang=yap)  
  font(:lang=za)  
  font(:lang=zu)  
  font(cantarell)  
  abattis-cantarell-fonts = 1.001-1.fc13

  Requires:
  config(abattis-cantarell-fonts) = 1.001-1.fc13
  fontpackages-filesystem  

SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
+ Should function as described.
+ Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Fonts MUST Items: (from Packaging:FontsPolicy)
+ Fonts released upstream in separate archives must be in separate src.rpm
+ Each font family must be in a separate (sub)package
+ Different faces of font family must be in a single (sub)package

Fonts SHOULD Items:
? Fonts should be built from source whenever upstream provides them in source format

Issues:

1. License should be "GPLv3+ with exceptions".

2. FontForge sources are provided, so they should be used to build the TTFs.
   You should ask upstream to provide a makefile to help automate this.

I'll note that it is good to see that upstream has paid attention to the font metadata: it is not unusual to see fonts released under open licenses in which the metadata appears to place restrictions on usage (fsType field).
Comment 3 Luya Tshimbalanga 2010-08-26 23:51:09 EDT
Source package is dual licensed as mentioned by upstream:
http://lists.fedoraproject.org/pipermail/fonts/2010-August/001232.html

Upstream is currently on the way to include makefile necessary to build TTF.

Spec URL:
http://luya.fedorapeople.org/packages/SPECS/abattis-cantarell-fonts.spec
SRPM URL:
http://luya.fedorapeople.org/packages/SRPMS/abattis-cantarell-fonts-1.001-1.fc13.src.rpm

https://koji.fedoraproject.org/koji/taskinfo?taskID=2430299
Comment 4 Jared Smith 2010-09-19 08:02:47 EDT
I sat down with the upstream developer (Dave Crossland) at FUDCon Zurich today, and I've helped him package up his font.

We done a few things differently than the above spec file, including pulling in the separate .sfd files as sources instead of the .zip file, updating the license text, and a few other minor changes.

If nobody objects, I'll CC Dave on this bug, as he is eager to work to become the primary maintainer of his own font package.
Comment 5 Luya Tshimbalanga 2010-09-19 15:37:13 EDT
No problem, Dave is aware of this bug so feel free to CC. Simply post url from both spec and the srpm for review.  
Once Dave is ready, I will gladly hand over ownership to him and will be co-maintainer.
Comment 6 Henry Kroll 2010-11-02 17:56:29 EDT
Bump. This font was used in the media art for F14. http://fedoraproject.org/wiki/Artwork/CDArt#Fedora_14_Media_Art and ought to be in the repos.
Comment 7 Michael J Gruber 2010-11-09 12:01:08 EST
(In reply to comment #4)
> I sat down with the upstream developer (Dave Crossland) at FUDCon Zurich today,
> and I've helped him package up his font.
> 
> We done a few things differently than the above spec file, including pulling in
> the separate .sfd files as sources instead of the .zip file, updating the
> license text, and a few other minor changes.
> 
> If nobody objects, I'll CC Dave on this bug, as he is eager to work to become
> the primary maintainer of his own font package.

Jared, have you been able to upload spec and srpm somewhere so that it is available for review?
Comment 8 Jared Smith 2010-11-09 12:45:35 EST
I was hoping that Dave would step up and submit the spec and SRPM himself, as he showed interest in becoming a font packager, and it would obviously be ideal to have the upstream developer be the packager.  

That being said, I'll go ahead and post the spec and SRPM that Dave and I worked on in Zurich.  (Please note that I'm not yet an official packager, but I do have some experiencing in packaging RPMs, and should probably apply to become a packager.  In other words, feedback and commentary is greatly appreciated.)

http://jsmith.fedorapeople.org/Packaging/Fonts/abattis-cantarell/abattis-cantarell.spec
http://jsmith.fedorapeople.org/Packaging/Fonts/abattis-cantarell/abattis-cantarell-fonts-1.001-2.fc13.src.rpm
Comment 9 Michael J Gruber 2010-11-10 10:48:03 EST
I'll follow Paul Flo's template from comment #2 for the review of the new spec and srpm.

I am not yet a packager either.

+ OK
? ISSUE
- N/A

+ Package meets naming and packaging guidelines [follows latest font template]
? Spec file matches base package name.
+ Spec has consistent macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
+ Sources match upstream md5sums:

385cf2b29741381f41497521c6305a68  SOURCES/Cantarell-Regular.sfd
9f2607cb46af948d939e58a4ef289b17  SOURCES/Cantarell-Oblique.sfd
40785c6118f4891137a69fe31832dd64  SOURCES/Cantarell-Bold.sfd
5571bac0c11b2e0d042345d4847c7a06  SOURCES/Cantarell-BoldOblique.sfd

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
- Package has %defattr and permissions on files is good.
- Package has a correct %clean section.
- Package has correct buildroot [no longer specified]
+ Package is code or permissible content.
- Doc subpackage needed/used.
- Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
+ No rpmlint output: 2 Warnings

invalid-license OFL 1.1+ (can be ignored, known GPLv3+ is specified)
no-documentation (none needed)

+ final provides and requires are sane:
  Provides:
config(abattis-cantarell-fonts) = 1.001-2.fc14
font(:lang=aa)  
font(:lang=af)  
font(:lang=an)  
font(:lang=ast)  
font(:lang=ay)  
font(:lang=bi)  
font(:lang=br)  
font(:lang=bs)  
font(:lang=ca)  
font(:lang=ch)  
font(:lang=co)  
font(:lang=crh)  
font(:lang=cs)  
font(:lang=csb)  
font(:lang=cy)  
font(:lang=da)  
font(:lang=de)  
font(:lang=en)  
font(:lang=eo)  
font(:lang=es)  
font(:lang=et)  
font(:lang=eu)  
font(:lang=fi)  
font(:lang=fil)  
font(:lang=fj)  
font(:lang=fo)  
font(:lang=fr)  
font(:lang=fur)  
font(:lang=fy)  
font(:lang=ga)  
font(:lang=gd)  
font(:lang=gl)  
font(:lang=gv)  
font(:lang=ho)  
font(:lang=hr)  
font(:lang=hsb)  
font(:lang=ht)  
font(:lang=hu)  
font(:lang=ia)  
font(:lang=id)  
font(:lang=ie)  
font(:lang=io)  
font(:lang=is)  
font(:lang=it)  
font(:lang=jv)  
font(:lang=ki)  
font(:lang=kj)  
font(:lang=kl)  
font(:lang=ku-tr)  
font(:lang=kwm)  
font(:lang=la)  
font(:lang=lb)  
font(:lang=lg)  
font(:lang=li)  
font(:lang=lt)  
font(:lang=lv)  
font(:lang=mg)  
font(:lang=mh)  
font(:lang=ms)  
font(:lang=mt)  
font(:lang=na)  
font(:lang=nb)  
font(:lang=nds)  
font(:lang=ng)  
font(:lang=nl)  
font(:lang=nn)  
font(:lang=no)  
font(:lang=nr)  
font(:lang=nso)  
font(:lang=ny)  
font(:lang=oc)  
font(:lang=om)  
font(:lang=pap-an)  
font(:lang=pap-aw)  
font(:lang=pl)  
font(:lang=pt)  
font(:lang=rm)  
font(:lang=rn)  
font(:lang=rw)  
font(:lang=sc)  
font(:lang=se)  
font(:lang=sg)  
font(:lang=sk)  
font(:lang=sl)  
font(:lang=sma)  
font(:lang=smj)  
font(:lang=smn)  
font(:lang=sn)  
font(:lang=so)  
font(:lang=sq)  
font(:lang=ss)  
font(:lang=st)  
font(:lang=su)  
font(:lang=sv)  
font(:lang=sw)  
font(:lang=tk)  
font(:lang=tl)  
font(:lang=tn)  
font(:lang=tr)  
font(:lang=ts)  
font(:lang=uz)  
font(:lang=vo)  
font(:lang=vot)  
font(:lang=wa)  
font(:lang=wen)  
font(:lang=wo)  
font(:lang=xh)  
font(:lang=yap)  
font(:lang=za)  
font(:lang=zu)  
font(cantarell)  
abattis-cantarell-fonts = 1.001-2.fc14

  Requires:
/bin/sh  
/bin/sh  
config(abattis-cantarell-fonts) = 1.001-2.fc14
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
koji build
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592959
+ Should function as described.
(tested with oowriter)
+ Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Fonts MUST Items: (from Packaging:FontsPolicy)
+ Fonts released upstream in separate archives must be in separate src.rpm
+ Each font family must be in a separate (sub)package
+ Different faces of font family must be in a single (sub)package

Fonts SHOULD Items:
+ Fonts should be built from source whenever upstream provides them in source
format

ISSUES:

rename spec file to match package name
Comment 10 Susi Lehtola 2010-11-12 05:48:52 EST
Stephen: are you going to review this? (You haven't set the fedora-review flag...)
Comment 11 Stephen John Smoogen 2010-11-12 12:12:39 EST
Ugh sorry I thought I had.
Comment 13 Stephen John Smoogen 2010-12-07 23:06:16 EST

1) I want to thank Michael Gruber and Paul Flo Williams.. I have looked through
the updated spec and src.rpm and want to +1 their work as package reviewers.

2) I am including the below just to make sure I have done a review myself
correctly.



+ OK
? ISSUE
- N/A
W WARNING below


+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
W License
+ License field in spec matches
? License file included in package
+ Spec in American English
+ Spec is legible.
- Sources match upstream md5sum:
40785c6118f4891137a69fe31832dd64  Cantarell-Bold.sfd
5571bac0c11b2e0d042345d4847c7a06  Cantarell-BoldOblique.sfd
9f2607cb46af948d939e58a4ef289b17  Cantarell-Oblique.sfd
385cf2b29741381f41497521c6305a68  Cantarell-Regular.sfd

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
- Package has %defattr and permissions on files is good.
+ Package has a correct %clean section.
+ Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

+ Package is code or permissible content.
- Doc subpackage needed/used.
- Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
W No rpmlint output.
Sent rpm through koji and ran the results through rpmlint

rpmlint abattis-cantarell-fonts-1.001-3.fc15.*
abattis-cantarell-fonts.noarch: W: spelling-error %description -l en_US
Crossland -> Cross land, Cross-land, Crossly
abattis-cantarell-fonts.noarch: W: invalid-license OFL 1.1+
abattis-cantarell-fonts.noarch: W: no-documentation
abattis-cantarell-fonts.src: W: spelling-error %description -l en_US Crossland
-> Cross land, Cross-land, Crossly
abattis-cantarell-fonts.src: W: invalid-license OFL 1.1+
2 packages and 0 specfiles checked; 0 errors, 5 warnings.


- final provides and requires are sane:

$ rpm --requires -qp abattis-cantarell-fonts-1.001-3.fc15.noarch.rpm 
/bin/sh  
/bin/sh  
config(abattis-cantarell-fonts) = 1.001-3.fc15

$ rpm --requires -qp abattis-cantarell-fonts-1.001-3.fc15.src.rpm 
fontpackages-devel  
fontforge  


$ rpm --provides -qp abattis-cantarell-fonts-1.001-3.fc15.noarch.rpm 
config(abattis-cantarell-fonts) = 1.001-3.fc15
font(:lang=aa)  
font(:lang=af)  
font(:lang=an)  
font(:lang=ast)  
font(:lang=ay)  
font(:lang=bi)  
font(:lang=br)  
font(:lang=bs)  
font(:lang=ca)  
font(:lang=ch)  
font(:lang=co)  
font(:lang=crh)  
font(:lang=cs)  
font(:lang=csb)  
font(:lang=cy)  
font(:lang=da)  
font(:lang=de)  
font(:lang=en)  
font(:lang=eo)  
font(:lang=es)  
font(:lang=et)  
font(:lang=eu)  
font(:lang=fi)  
font(:lang=fil)  
font(:lang=fj)  
font(:lang=fo)  
font(:lang=fr)  
font(:lang=fur)  
font(:lang=fy)  
font(:lang=ga)  
font(:lang=gd)  
font(:lang=gl)  
font(:lang=gv)  
font(:lang=ho)  
font(:lang=hr)  
font(:lang=hsb)  
font(:lang=ht)  
font(:lang=hu)  
font(:lang=ia)  
font(:lang=id)  
font(:lang=ie)  
font(:lang=io)  
font(:lang=is)  
font(:lang=it)  
font(:lang=jv)  
font(:lang=ki)  
font(:lang=kj)  
font(:lang=kl)  
font(:lang=ku-tr)  
font(:lang=kwm)  
font(:lang=la)  
font(:lang=lb)  
font(:lang=lg)  
font(:lang=li)  
font(:lang=lt)  
font(:lang=lv)  
font(:lang=mg)  
font(:lang=mh)  
font(:lang=ms)  
font(:lang=mt)  
font(:lang=na)  
font(:lang=nb)  
font(:lang=nds)  
font(:lang=ng)  
font(:lang=nl)  
font(:lang=nn)  
font(:lang=no)  
font(:lang=nr)  
font(:lang=nso)  
font(:lang=ny)  
font(:lang=oc)  
font(:lang=om)  
font(:lang=pap-an)  
font(:lang=pap-aw)  
font(:lang=pl)  
font(:lang=pt)  
font(:lang=rm)  
font(:lang=rn)  
font(:lang=rw)  
font(:lang=sc)  
font(:lang=se)  
font(:lang=sg)  
font(:lang=sk)  
font(:lang=sl)  
font(:lang=sma)  
font(:lang=smj)  
font(:lang=smn)  
font(:lang=sn)  
font(:lang=so)  
font(:lang=sq)  
font(:lang=ss)  
font(:lang=st)  
font(:lang=su)  
font(:lang=sv)  
font(:lang=sw)  
font(:lang=tk)  
font(:lang=tl)  
font(:lang=tn)  
font(:lang=tr)  
font(:lang=ts)  
font(:lang=uz)  
font(:lang=vo)  
font(:lang=vot)  
font(:lang=wa)  
font(:lang=wen)  
font(:lang=wo)  
font(:lang=xh)  
font(:lang=yap)  
font(:lang=za)  
font(:lang=zu)  
font(cantarell)  
abattis-cantarell-fonts = 1.001-3.fc15


SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
+ Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
+ check for outstanding bugs on package. (For core merge reviews)

Issues:

1. No GPLv3 is packaged in code. OPL 1.1 is mentioned but not which OPL (there
are several) Looking at the source code there is no mention of the OPL I could
find

These files are made available under the GNU General Public License Version 3
or any later version, with an additional permission for embedding them in
documents.

Each source code file does mention the GPLv3 with font exception.
Comment 14 Jared Smith 2010-12-08 08:02:20 EST
I've asked Dave Crossland (the font designer) to clarify the licensing -- he and I discussed this at length at FUDCon Zurich earlier this year with Spot, but just to make it clear for everyone involved, we'll have him mention it here.
Comment 15 Dave Crossland 2010-12-08 08:31:31 EST
Sorry guys, I do want to work on Cantarell and hope to do more this weekend. 

The licence is now SIL OFLv1.1, since Google asked me to switch, and using two licenses seems problematic to me.
Comment 16 Stephen John Smoogen 2010-12-08 12:27:51 EST
Ok dave, once you update the fonts and license on the website we can proceed. Currently they are still saying GPLv3 with font exception only embedded in the font so it needs to be clarified (is it GPLv3 with font OR SIL-OPL, or SIL-OPL etc etc).

Thanks
Comment 17 Cosimo Cecchi 2011-02-08 11:38:31 EST
So, now Cantarell fonts moved to the GNOME infrastructure for releasing, bug tracking and version control. The font will be the GNOME 3 default, so it's now very important to have it packaged in Fedora.

I created another updated SPEC file based on the new release, which you can find here

SPEC: http://people.gnome.org/~cosimoc/cantarell-pkg/abattis-cantarell-fonts.spec
SRPM: http://people.gnome.org/~cosimoc/cantarell-pkg/abattis-cantarell-fonts-0.0.1-1.fc15.src.rpm

I am proposing as the package maintainer for this package.
Comment 18 Michael J Gruber 2011-02-08 11:48:59 EST
(In reply to comment #17)
> So, now Cantarell fonts moved to the GNOME infrastructure for releasing, bug
> tracking and version control. The font will be the GNOME 3 default, so it's now
> very important to have it packaged in Fedora.
> 
> I created another updated SPEC file based on the new release, which you can
> find here
> 
> SPEC:
> http://people.gnome.org/~cosimoc/cantarell-pkg/abattis-cantarell-fonts.spec
> SRPM:
> http://people.gnome.org/~cosimoc/cantarell-pkg/abattis-cantarell-fonts-0.0.1-1.fc15.src.rpm
> 
> I am proposing as the package maintainer for this package.

Cosimo, could you summarize what you have changed in the spec file? We have 3 spec files now from 3 people with 2 reviews. Nobody will be interested in doing another futile review.

What we don't have is much/any time left, if this is supposed to make it to F15 (feature freeze today). I suppose an exception could be granted for a Gnome 3 dependency, though.
Comment 19 Cosimo Cecchi 2011-02-08 12:16:20 EST
(In reply to comment #18)

> 
> Cosimo, could you summarize what you have changed in the spec file? We have 3
> spec files now from 3 people with 2 reviews. Nobody will be interested in doing
> another futile review.

Of course!

- as I mentioned previously, the font is now managed using the GNOME infrastructure, and released as versioned tarballs on our servers, in sync with the GNOME release cycle, so I changed the spec to fetch files from there.
- the tarballs contains now both the source files for the font and the binary, there's no need for having multiple 'SourceX' entries in the spec file for each .sfd file, so I removed those. 
- the fontconfig file is now shipped inside the tarball too, so there's no need for having a separate Source entry for it.
- the preferred binary format for this font is OTF now, as that's the format used by the binaries in the tarball too, so I changed the fontforge build lines to use that instead of TTF.
- the upstream repository now removed the Oblique variants, so I removed those from this package.
- the license of the font is now OFL-only, so I removed the reference to GPL in the spec.

> What we don't have is much/any time left, if this is supposed to make it to F15
> (feature freeze today). I suppose an exception could be granted for a Gnome 3
> dependency, though.

Yeah, I guess so, as this is a very important package.
Comment 20 Stephen John Smoogen 2011-02-08 12:56:19 EST
Created attachment 477662 [details]
Fix to make patch spec to pass reivew

To speed this up am adding patch to get this done.
Comment 21 Jared Smith 2011-02-08 13:22:23 EST
I'm glad to hear that Gnome is working w/ Dave Crossland on this, and that we're making progress on getting it packaged.  I'm glad to defer to someone else's spec file -- heaven knows mine wasn't perfect. It looks like the sources on the GNOME infrastructure have the updated license text, so I don't see that as being a blocker any more.
Comment 22 Stephen John Smoogen 2011-02-08 13:35:44 EST
[This review was done with the patch above so that the rpmlint would hush. The only rpmlint issues left were aspell not knowing how to spell words and COPYING not being Unix eol]

Once more unto the breach, dear friends, once more;
Or close the wall up with our Fedoran dead.

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines. [1]
[x]  Spec file name must match the base package %{name}, in the format
      %{name}.spec.
[x]  Spec file is legible and written in American English.
[x]  Spec file lacks Packager, Vendor, PreReq tags.
[x]  Spec uses macros instead of hard-coded directory names.
[x]  Package consistently uses macros.
[-]  Macros in Summary, %description expandable at SRPM build time.
[-]  PreReq is not used.
[x]  Requires correct, justified where necessary.
[x]  All build dependencies are listed in BuildRequires, except for 
     any that are listed in the exceptions section of Packaging 
     Guidelines. [2]
[x]  Buildroot is correct 
     (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)).
[x]  Package run rm -rf %{buildroot}
     (or $RPM_BUILD_ROOT) and the beginning of %install.
[-]  Package use %makeinstall only when 
     ``make install DESTDIR=...'' doesn't work.
[x]  Package has a %clean section, which contains
     rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  The spec file handles locales properly.
[x]  Changelog in prescribed format.
[x]  Rpmlint output is silent.
[x]  License field in the package spec file matches the actual
     license.
[x]  If (and only if) the source package includes the text of the 
     license(s) in its own file, then that file, containing the text
     of the license(s) for the package is included in %doc.
[x]  License file installed when any subpackage combination is 
     installed.
[x]  Package is licensed with an open-source compatible license and 
     meets other legal requirements as defined in the legal section 
     of Packaging Guidelines. [3,4]
[x]  Sources contain only permissible code or content.
[x]  Sources used to build the package matches the upstream source, 
     as provided in the spec URL.
     MD5SUM this package     : d47d1ade6e292d90fc5f345db1ee67e7
     MD5SUM upstream package : d47d1ade6e292d90fc5f345db1ee67e7
[x]  Compiler flags are appropriate.
[-]  %build honors applicable compiler flags or justifies otherwise.
[-]  ldconfig called in %post and %postun if required.
[-]  Package must own all directories that it creates.
[x]  Package does not own files or directories owned by other packages.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[-]  Each %files section contains %defattr.
[-]  No %config files under /usr.
[-]  %config files are marked noreplace or the reason is justified.
[-]  Package contains a properly installed %{name}.desktop using 
     desktop-file-install file if it is a GUI application. [5]
[-]  Package contains a valid .desktop file.
[-]  Package contains code, or permissable content.
[-]  Package contains a SysV-style init script if in need of one.
[x]  File names are valid UTF-8.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[x]  Package contains no bundled libraries.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -static subpackage, if present.
[x]  Package contains no static executables.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[-]  Useful -debuginfo package or justification otherwise.
[x]  Rpath absent or only used for internal libs.
[x]  Package does not genrate any conflict.
[x]  Package does not contains kernel modules.
[x]  Package is not relocatable.
[x]  Package successfully compiles and builds into binary rpms on
     at least one supported architecture.
[x]  Package is not known to require ExcludeArch.
[x]  Package installs properly.
[x]  Package obeys FHS, except libexecdir and /usr/target.
[x]  Package meets the Packaging Guidelines. [6]

=== SUGGESTED ITEMS ===
[x]  Package functions as described.
[x]  Latest version is packaged.
[x]  Package does not include license text files separate from 
     upstream.
[-]  If the source package does not include license text(s) as a 
     separate file from upstream, the packager SHOULD query 
     upstream to include it.
[-]  Description and summary sections in the package spec file 
     contains translations for supported Non-English languages, 
     if available.
[x]  SourceX is a working URL.
[-]  SourceX / PatchY prefixed with %{name}.
[x]  Final provides and requires are sane (rpm -q --provides and 
     rpm -q --requires).
[-]  %check is present and all tests pass.
[-]  Usually, subpackages other than devel should require the base 
     package using a fully versioned dependency.
[?]  Reviewer should test that the package builds in mock.
[x]  Package should compile and build into binary rpms on all 
     supported architectures.
[x]  Dist tag is present.
[x]  Spec use %global instead of %define.
[-]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[x]  No file requires outside of /etc, /bin, /sbin, /usr/bin, 
     /usr/sbin.
[x]  Packages should try to preserve timestamps of original
     installed files.
[-]  File based requires are sane.
[-]  Man pages included for all executables.
[x]  Uses parallel make.
[-]  Patches link to upstream bugs/comments/lists or are otherwise
     justified.

=== Issues ===
1. With previous patch, rpmlint shows that packages work well. Font is
   viewable on EL6 and other systems

=== Final Notes ===
1. Thanks for all the hard work.
Comment 23 Cosimo Cecchi 2011-02-08 13:48:32 EST
Stephen, thanks for the spec patch.
Here are updated URLs for the spec and the srpm, which should be good to go.

SPEC: http://people.gnome.org/~cosimoc/cantarell-pkg/abattis-cantarell-fonts.spec
SRPM: http://people.gnome.org/~cosimoc/cantarell-pkg/abattis-cantarell-fonts-0.0.1-2.fc15.src.rpm
Comment 24 Stephen John Smoogen 2011-02-08 14:01:14 EST
================
*** APPROVED ***
================
Comment 25 Cosimo Cecchi 2011-02-08 14:57:38 EST
New Package SCM Request
=======================
Package Name: abattis-cantarell-fonts
Short Description: Cantarell, a Humanist sans-serif font family
Owners: cosimoc
Branches: 
InitialCC:
Comment 26 Bill Nottingham 2011-02-08 15:03:11 EST
Git done (by process-git-requests).
Comment 27 Mohamed El Morabity 2011-02-19 08:23:23 EST
Is it possible to make this font available also for Fedora 13 and 14?
Comment 28 Michael J Gruber 2011-02-22 07:53:35 EST
(In reply to comment #27)
> Is it possible to make this font available also for Fedora 13 and 14?

You can install the F15 rpm in F13 and F14 (or grab the source rpm and rebuild).

With F15 having branched, requests for an F13 package should be submitted really soon (or it's too late).
Comment 29 Luya Tshimbalanga 2011-03-29 04:23:30 EDT
Closing this report now that abattis-cantarell-fonts is available in repo.
Comment 30 Paul Flo Williams 2012-10-10 10:58:02 EDT
Package Change Request
======================
Package Name: abattis-cantarell-fonts
Branches: f16 f17 f18 devel
InitialCC: fonts-sig

I'd like the Fonts SIG to be notified of changes to this package in all active branches, including Rawhide.
Comment 31 Cosimo Cecchi 2012-10-10 11:01:32 EDT
Feel free to add yourself to the package CC, or request ACLs using Fedora PkgDB
Comment 32 Gwyn Ciesla 2012-10-10 11:05:24 EDT
Complete.

Note You need to log in before you can comment on or make changes to this bug.